Subject: Re: [Sipping] About Call Pickup

From: feng zhang <[email-masked]>
Date: Mon, 26 Aug 2002 10:25:21 +0800

Hi,

   I looked up RFC3261, and find that the Dialog packet DOES include 
the Remote URI. in the scenario below:

     UAC-------->Proxy--------->UAS

UAS will create a Dialog set which includes:
{
	Dialog ID;
    local sequence number;
    remote sequence number;
    local URI;
	remote URI;        <---- Here it is
    remote tag;
    secure flag;
    route set {};
}

	So I think, in the Call Pickup service, User B can send the "Dialog set" 
in "NOTIFY F5" message to tell User D who is in the same group and decides
to call pickup User B. 

Best Regards.

>Hi,
>
>Thanks for the comment on the draft.  You are right - good catch.  The 
>earlier version of the Dialog package did include the Remote URI which.  It 
>was then dropped as it was no longer needed as a dialog identifier in RFC 
>3261.  However, it is needed for this service (Call Pickup - answering a 
>ringing phone).  It is also needed to answer the question "Who is the UA in 
>a session with?" which is a very useful piece of information.
>
>I'd propose we add the Remote URI back into the Dialog package.
>
>Thanks,
>Alan Johnston
>sip:[email-masked]
>
>At 03:11 PM 8/23/2002 +0800, feng zhang wrote:
>>Hi All,
>>
>>   I meet a problem when reading draft-ietf-sipping-service-examples-02,
>>
>>in section "2.16 Call Pickup ", it gives a call flow about Call Pickup 
>>like this:
>>
>>          User A       User B             User D
>>           |              |                   |
>>           |   INVITE F1  |                   |
>>           |------------->|                   |
>>           |180 Ringing F2|                   |
>>           |<-------------|                   |
>>           |              |   SUBSCRIBE F3    |
>>           |              |<------------------|
>>           |              |     200 OK F4     |
>>           |              |------------------>|
>>           |              |     NOTIFY F5     |
>>           |              |------------------>|
>>           |              |     200 OK F6     |
>>           |              |<------------------|
>>           |            INVITE Replaces:B  F7 |
>>           |<---------------------------------|
>>           |              |     200 OK F8     |
>>           |--------------------------------->|
>>           |   CANCEL F9  |                   |
>>           |------------->|                   |
>>           |  200 OK F10  |                   |
>>           |<-------------|                   |
>>           |    487 F11   |                   |
>>           |<-------------|                   |
>>           |    ACK F12   |                   |
>>           |------------->|                   |
>>           |                    ACK F13       |
>>           |<---------------------------------|
>>           |              |     NOTIFY F14    |
>>           |              |------------------>|
>>           |              |       481 F15     |
>>           |              |<------------------|
>>           |                                  |
>>           |   Both way RTP Established       |
>>           |<================================>|
>>           |                     BYE F16      |
>>           |--------------------------------->|
>>           |                   200 OK F17     |
>>           |<---------------------------------|
>>           |                                  |
>>
>>the Message F7(INVITE Replaces:B) is :
>>
>>" F7 INVITE  D -> A
>>
>>    INVITE sip:[email-masked] SIP/2.0
>>    Via: SIP/2.0/UDP smallguy.there.com:5060;branch=z9hG4bK74bf
>>    Max-Forwards: 70
>>    From: SmallGuy <sip:[email-masked]>;tag=8675309
>>    To: BigGuy <sip:[email-masked]>
>>    Call-ID: [email-masked]
>>    CSeq: 1 INVITE
>>    Accept-Contact: <sip:[email-masked]>;only=true
>>    Replaces: [email-masked];to-tag=314578;from-tag=1234567
>>    Contact: <sip:[email-masked]>
>>    Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY
>>    Supported: replaces
>>    Content-Type: application/sdp
>>    Content-Length: ...
>>"
>>
>>My question is how User D knows IT's User A is calling User B?
>>
>>While in Message F5(NOTIFY), NO information about User A is sent to User D:
>>
>>"
>>    F5 NOTIFY  B -> D
>>
>>    NOTIFY sip:[email-masked] SIP/2.0
>>    Via: SIP/2.0/UDP littleguy.there.com:5060;branch=z9hG4bK74bf
>>    Max-Forwards: 70
>>    From: LittleGuy <sip:[email-masked]>;tag=31451098
>>    To: SmallGuy <sip:[email-masked]>;tag=8675309
>>    Call-ID: [email-masked]
>>    CSeq: 1 NOTIFY
>>    Contact: <sip:[email-masked]>
>>    Event: dialog
>>    Content-Type: application/dialog-info+xml
>>    Content-Length: ...
>>
>>    <?xml version="1.0"?>
>>    <dialog-info xmlns="urn:ietf:params:xml:ns:dialog-info"
>>       version="0" state="full" entity="sip:[email-masked]">
>>    <dialog id="94992014524" call-id="[email-masked]"
>>       local-tag="3145678" remote-tag="1234567" direction="recipient">
>>    <state>early</state>
>>    </dialog>
>>    </dialog-info> "
>>
>>How User D knows the information about User A(such as User A's URI)
>>
>>Thanks a lot to give me an answer!
>>
>>
>>_______________________________________________
>>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>This list is for NEW development of the application of SIP
>>Use [email-masked] for questions on current sip
>>Use [email-masked] for new developments of core SIP
>
>
>.
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP